Name:           perl-SGML-Parser-OpenSP
Version:        0.994
Release:        22%{?dist}
Summary:        Perl interface to the OpenSP SGML and XML parser

License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/SGML-Parser-OpenSP/
Source0:        http://www.cpan.org/authors/id/B/BJ/BJOERN/SGML-Parser-OpenSP-%{version}.tar.gz

BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  opensp-devel
Requires:       perl(Class::Accessor)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
SGML::Parser::OpenSP provides a native Perl interface, written in C++
and XS, to the OpenSP SGML and XML parser.


%prep
%setup -q -n SGML-Parser-OpenSP-%{version}
# POD Coverage is interesting for upstream, not us.
%{__perl} -pi -e 's|t/99podcov.t||' MANIFEST ; rm t/99podcov.t
find . -type f -print0 | xargs -0 chmod -c -x
%{__perl} -pi -e 's|\r||g' Changes README


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes README
%{perl_vendorarch}/auto/SGML/
%{perl_vendorarch}/SGML/
%{_mandir}/man3/SGML::Parser::OpenSP*.3*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.994-21
- Perl 5.22 rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.994-20
- Rebuilt for GCC 5 C++11 ABI change

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.994-19
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jul 22 2013 Petr Pisar <ppisar@redhat.com> - 0.994-15
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jun 13 2012 Petr Pisar <ppisar@redhat.com> - 0.994-12
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 25 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.994-10
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.994-9
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.994-7
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.994-6
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.994-5
- rebuild against perl 5.10.1

* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.994-4
- Filter out autoprovided OpenSP.so (if %%{perl_default_filter} is available).

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.994-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jul  3 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.994-1
- 0.994.

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.991-3
- Rebuild for new perl

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.991-2
- Autorebuild for GCC 4.3

* Thu Dec  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.991-1
- 0.991.

* Mon Aug  6 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.99-5
- License: GPL+ or Artistic

* Thu May 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.99-4
- BuildRequire perl(Test::More) (#237883).

* Sat Apr 21 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.99-3
- BuildRequire perl(ExtUtils::MakeMaker) and perl(Test::Pod).

* Sat Sep 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.99-2
- Rebuild.

* Thu Aug 31 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.99-1
- 0.99.

* Wed Mar 29 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.99-0.1.cvs20060329
- First build.
